# NB This is openmpi-specific, since the only available launcher
# for packaging is orte.  Maybe the package should be -openmpi.

Name:           launchmon
Version:        1.0.2
Release:        2%{?dist}
License:        LGPLv2
Summary:        Tool Daemon launching/bootstrapping infrastructure
URL:            https://github.com/LLNL/LaunchMON

%define module_path    /etc/modulefiles/launchmon

Source0:        https://github.com/LLNL/LaunchMON/releases/download/v%version/launchmon-v%version.tar.gz
BuildRequires:  boost-devel
BuildRequires:  elfutils-libelf-devel
BuildRequires:  munge-devel
BuildRequires:  chrpath automake libtool libgcrypt-devel
Requires: openmpi

%global desc \
LaunchMON is a scalable software infrastructure that enables an HPC\
run-time tool to co-locate its daemons with the target parallel\
application. Its API allows the tool to identify all the remote\
application processes of the application and to launch its daemons\
into the relevant remote nodes.

%description
%desc

%package openmpi
Summary:        Tool Daemon launching/bootstrapping infrastructure - openmpi
BuildRequires: openmpi-devel
Requires:      openmpi%{?_isa}
Obsoletes:     launchmon

%description openmpi
%desc

This version is for openmpi.

%package openmpi-devel
Summary:        Development files for %{name}-openmpi
Requires:       %{name}-openmpi = %{version}-%{release}
Requires: elfutils-libelf-devel openmpi-devel munge-devel
Obsoletes:     launchmon-devel

%description openmpi-devel
Development files for %{name}-openmpi


%prep
%setup -q -n %name-v%version


%build
%_openmpi_load

%configure MPICC=mpicc \
    --with-test-rm=orte \
    --with-test-rm-launcher=$MPI_BIN/orterun \
    --with-test-nnodes=1 --with-test-rm-lib=$MPI_LIB \
    --enable-sec-munge LDFLAGS=-Wl,-as-needed

make %{?_smp_mflags} V=1

%install
%make_install

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
mv ${RPM_BUILD_ROOT}%{_prefix}/etc/* ${RPM_BUILD_ROOT}%{_sysconfdir}
rmdir ${RPM_BUILD_ROOT}%{_prefix}/etc
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/*

chrpath -d ${RPM_BUILD_ROOT}%{_libdir}/*.so.*
chrpath -d ${RPM_BUILD_ROOT}%{_bindir}/launchmon

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files openmpi
%doc README.* NEWS AUTHORS COPYING
%_bindir/*
%config %_sysconfdir/*
%_libdir/*.so.*

%files openmpi-devel
%_includedir/*
%exclude %_libdir/*a
%_libdir/*.so
%_mandir/man3/*

%changelog
* Mon Jun  6 2016 Dave Love <loveshack@fedoraproject.org> - 1.0.2-2
- Fix -devel requires

* Tue May 24 2016 Dave Love <loveshack@fedoraproject.org> - 1.0.2-1
- New version
- New URLs
- Clean up spec
- Ignore empty README
- Make package -openmpi

* Wed Dec 23 2015 Dave Love <loveshack@fedoraproject.org> - 1.0.1-4
- MPI boot fabric

* Sat Jan 24 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0.1-3
- Don't install .a

* Thu Jan 15 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0.1-2
- Fix configure typo for launcher
- Don't install tests

* Sun Jun 29 2014 Dave Love <d.love@liverpool.ac.uk> - 1.0.1-1
- Update to 1.0.1
- More spec fixes

* Mon Mar  3 2014 Dave Love <d.love@liverpool.ac.uk> - 1.0.beta1-4
- Heaviliy modified from the included version not to install gcrypt,
  to install into /usr, provide devel package, and otherwise make rpmlint
  happier.
- Module file unnecessary with prefix=/usr
